Assignments Assignments

Functions
MatrixMNTC.inl File Reference

Go to the source code of this file.

## Functions
template<class Coord >
bool | operator== (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord >
bool | operator!= (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord >
GXMatrixMNTC< Coord > | operator+ (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord >
GXMatrixMNTC< Coord > | operator- (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord >
GXMatrixMNTC< Coord > | operator* (const GXMatrixMNTC< Coord > &A, const GXMatrixMNTC< Coord > &B)
template<class Coord >
GXMatrixMNTC< Coord > | operator* (const GXMatrixMNTC< Coord > &M, Coord s)
template<class Coord >
GXMatrixMNTC< Coord > | operator* (Coord s, const GXMatrixMNTC< Coord > &M)
template<class Coord >
GXMatrixMNTC< Coord > | operator/ (const GXMatrixMNTC< Coord > &M, Coord s)
template<class Coord >
GXMatrixMNTC< Coord > | operator- (const GXMatrixMNTC< Coord > &M)
template<class Coord >
GXMatrixMNTC< Coord > | operator+ (const GXMatrixMNTC< Coord > &M)
template<class Coord >
const GXMatrixMNTC< Coord > | Identity (Coord cOrder)
template<class Coord >
const GXMatrixMNTC< Coord > | ScalarMatrix (unsigned int cOrder, Coord s)
template<class Coord >
const GXMatrixMNTC< Coord > | Transpose (const GXMatrixMNTC< Coord > &M)

## Function Documentation

## ◆ Identity()

template<class Coord >

const GXMatrixMNTC< Coord > Identity | ( | Coord | cOrder | ) |

## ◆ operator!=()

template<class Coord >

bool operator!= | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ operator*() [1/3]

template<class Coord >

GXMatrixMNTC< Coord > operator* | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ operator*() [2/3]

template<class Coord >

GXMatrixMNTC< Coord > operator* | ( | const GXMatrixMNTC< Coord > & | M,
|  | Coord | s )

## ◆ operator*() [3/3]

template<class Coord >

GXMatrixMNTC< Coord > operator* | ( | Coord | s,
|  | const GXMatrixMNTC< Coord > & | M )

## ◆ operator+() [1/2]

template<class Coord >

GXMatrixMNTC< Coord > operator+ | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ operator+() [2/2]

template<class Coord >

GXMatrixMNTC< Coord > operator+ | ( | const GXMatrixMNTC< Coord > & | M | ) |

## ◆ operator-() [1/2]

template<class Coord >

GXMatrixMNTC< Coord > operator- | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ operator-() [2/2]

template<class Coord >

GXMatrixMNTC< Coord > operator- | ( | const GXMatrixMNTC< Coord > & | M | ) |

## ◆ operator/()

template<class Coord >

GXMatrixMNTC< Coord > operator/ | ( | const GXMatrixMNTC< Coord > & | M,
|  | Coord | s )

## ◆ operator==()

template<class Coord >

bool operator== | ( | const GXMatrixMNTC< Coord > & | A,
|  | const GXMatrixMNTC< Coord > & | B )

## ◆ ScalarMatrix()

template<class Coord >

const GXMatrixMNTC< Coord > ScalarMatrix | ( | unsigned int | cOrder,
|  | Coord | s )

## ◆ Transpose()

template<class Coord >

const GXMatrixMNTC< Coord > Transpose | ( | const GXMatrixMNTC< Coord > & | M | ) |